.modal-fade-enter,
.modal-fade-leave-active 
    opacity: 0


.modal-fade-enter-active,
.modal-fade-leave-active 
    transition: opacity .5s ease

.modal-backdrop 
    position: fixed
    top: 0
    bottom: 0
    left: 0
    right: 0
    background-color: rgba(0, 0, 0, 0.9)
    display: flex
    justify-content: center
    align-items: center
    z-index: 100


.modal 
    background: black
    overflow-x: auto
    display: flex
    flex-direction: column
    text-align: center
    //position: relative
  

.modal-header,
.modal-footer 
    padding: 15px
    display: flex
  

.modal-header 
    border-bottom: 1px solid #eeeeee
    color: #4AAE9B
    justify-content: space-between
  

.modal-footer 
    border-top: 1px solid #eeeeee
    justify-content: flex-end
  

.modal-body 
    position: relative

.btn-close
    position: absolute
    top: 30px
    right: 30px
    color: white
    z-index: 100

.btn-confirm
    max-width: 200px
    margin: 0 auto


.swiper-container
    width: 100vw

.modal
    &.loading
        opacity: 0.5
        pointer-events: none
    .image-wrapper
        display: inline-block
        //width: 480px
        width: 860px
        height: 540px
        background-size: contain
        background-position: center
        background-repeat: no-repeat
    .disabled
        .image-wrapper
            position: relative
            &:after
                content: ''
                position: absolute
                top: 0
                left: 0
                width: 100%
                height: 100%
                background: black
                opacity: 0.6
            